Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556603 - pokerth: FTBFS in F28
Summary: pokerth: FTBFS in F28
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pokerth
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-15 00:12 UTC by Fedora Release Engineering
Modified: 2018-07-16 22:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 18:33:41 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 22:12 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 22:12 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 22:12 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-15 00:12:43 UTC
Your package pokerth failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=25252416

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Itamar Reis Peixoto 2018-03-15 15:44:06 UTC
It will be fixed soon, please don't retire it.

Comment 2 Ankur Sinha (FranciscoD) 2018-04-03 20:48:34 UTC
Hiya!

This needs to be fixed as soon as possible. It's causing troubles with upgrades now:

This is from a DNF upgrade command:

 Problem 1: problem with installed package pokerth-1.1.1-26.fc27.x86_64                                                                                                  
  - pokerth-1.1.1-26.fc27.x86_64 does not belong to a distupgrade repository        
  - nothing provides libprotobuf.so.14()(64bit) needed by pokerth-1.1.1-27.fc28.x86_64  

It'll affect people using the gnome-software upgrade too. The workaround, of course, is to remove pokerth, but  I'm not sure if gnome-software provides this information and if end-users will be able to figure it out etc.

Please fix it asap :)

Cheers!
Ankur

Comment 3 Vadim Raskhozhev 2018-04-05 12:35:32 UTC
>  - nothing provides libprotobuf.so.14()(64bit) needed by pokerth-1.1.1-27.fc28.x86_64

Same here. Had to remove pokerth to upgrade to F28 beta. Please fix.

Comment 4 Miroslav Jurkas 2018-05-04 11:46:00 UTC
Pokerth try to install under F28:

$ sudo dnf install pokerth
Last metadata expiration check: 0:28:05 ago on pet 04 maj 2018 13:16:18 CEST.
Error: 
 Problem: conflicting requests
  - nothing provides libboost_system.so.1.64.0()(64bit) needed by pokerth-1.1.1-27.fc28.x86_64

IMO dependency should point to libboost_system.so.1.66.0().

Comment 5 samoht0 2018-05-12 19:02:05 UTC
Would like to see this fixed, too.
There also a updated upstream version:
https://bugzilla.redhat.com/show_bug.cgi?id=1512285

Comment 6 Fedora Release Engineering 2018-05-28 22:12:49 UTC
Created attachment 1444380 [details]
build.log

Comment 7 Fedora Release Engineering 2018-05-28 22:12:55 UTC
Created attachment 1444384 [details]
root.log

Comment 8 Fedora Release Engineering 2018-05-28 22:12:59 UTC
Created attachment 1444386 [details]
state.log

Comment 9 Steven Miano 2018-06-24 23:10:57 UTC
During F27 -> F28 upgrade noticed this issue is still valid and blocking the upgrade.

Also: F28 is unable to install pokerth due to missing libraries (namely: libboost_system.so.1.64.0 from what I see at the moment).

Comment 10 Zbigniew Jędrzejewski-Szmek 2018-07-06 18:33:41 UTC
A build was successfull: pokerth-1.1.1-27.fc28 [1].
No update was found in bodhi. Closing the bug nonetheless.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=998587

Comment 11 Ankur Sinha (FranciscoD) 2018-07-06 18:47:24 UTC
If an update isn't pushed, the upgrade path from will remain broken. Should one file a differnt bug for that?

Comment 12 Miroslav Jurkas 2018-07-06 19:36:40 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #10)
> A build was successfull: pokerth-1.1.1-27.fc28 [1].
> No update was found in bodhi. Closing the bug nonetheless.
> 
> [1] https://koji.fedoraproject.org/koji/buildinfo?buildID=998587

The build referencing is one executed on 2017-11-13 23:33, but further two attempts failed on  2017-11-30 09:21 and 2018-02-23.

Package does not install with error as provided in my previous comment. IMO it's not right to close the bug as package still doe not build.

Comment 13 Itamar Reis Peixoto 2018-07-06 19:39:14 UTC
last commit from 2016

https://github.com/pokerth/pokerth

Comment 14 Ankur Sinha (FranciscoD) 2018-07-06 22:49:46 UTC
Itamar,

If it isn't maintained anymore, and it's too much work to fix the broken build, the only thing to do would be to retire the package :(

Cheers,
Ankur

Comment 15 Miroslav Jurkas 2018-07-09 20:01:40 UTC
I can't accept package to be retired...
I can try to fix the problem. I'm a programmer, little bit aged and have had not submitted a path for more than 10 years.
Any advice where to start?

Comment 16 Ankur Sinha (FranciscoD) 2018-07-09 21:41:34 UTC
I think the first thing to do would be to contact upstream to check if they are still active. If they aren't, I'm afraid someone else will have to fix it the hard way---read the code and figure out what's broken.

Comment 17 samoht0 2018-07-10 17:43:42 UTC
Latest release from May 2018:
https://github.com/pokerth/pokerth/releases
Unsure, why the commits are not pushed.

Here is some patch for 1.1.2 from arch, might addressing some similar(?) issue.
https://aur.archlinux.org/packages/pokerth/

Comment 18 Miroslav Jurkas 2018-07-16 21:53:23 UTC
Working package for 1.1.2 has been built and pushed to bodhi. See #1512285.
Generally installs and works.

Comment 19 Itamar Reis Peixoto 2018-07-16 22:03:09 UTC
(In reply to samoht0 from comment #17)
> Latest release from May 2018:
> https://github.com/pokerth/pokerth/releases
> Unsure, why the commits are not pushed.
> 
> Here is some patch for 1.1.2 from arch, might addressing some similar(?)
> issue.
> https://aur.archlinux.org/packages/pokerth/

thanks for the patch


Note You need to log in before you can comment on or make changes to this bug.